from django import forms
from .models import customers,Tasks,User
from django.contrib.auth.forms import UserCreationForm,AuthenticationForm




class TaskForms(forms.ModelForm):
     
    class Meta:
        model=Tasks
        fields=['Title','Details',]
        widgets={
            'Title': forms.TextInput(attrs={'class':'form-control'}),
            'Details': forms.Textarea(attrs={'class':'form-control'}),
            
        }
        
class CustomerForms(forms.ModelForm):
    class Meta:
        model=User
        fields=['username','email',]
        widgets={
            'username': forms.TextInput(attrs={'class':'form-control'}),
            'email': forms.TextInput(attrs={'class':'form-control'}),
        }   
        
class NewUserForm(UserCreationForm):
    username=forms.CharField(max_length=100,
                                 required=True,
                                 widget=forms.TextInput(attrs={'placeholder': 'First Name',
                                                               'class': 'form-control',}))
    password=forms.CharField(max_length=50,
                                required=True,
                                widget=forms.PasswordInput(attrs={'placeholder': 'Password',
                                                                  'class': 'form-control',
                                                                  'data-toggle': 'password',
                                                                  'id': 'password',
                                                                  }))
    email=forms.EmailField(required=True,
                             widget=forms.TextInput(attrs={'placeholder': 'Email',
                                                           'class': 'form-control',
                                                           })) 
    
class LoginForm(AuthenticationForm):
    username = forms.CharField(max_length=100,
                               required=True,
                               widget=forms.TextInput(attrs={'placeholder': 'Username',
                                                             'class': 'form-control',
                                                             }))
    password = forms.CharField(max_length=50,
                               required=True,
                               widget=forms.PasswordInput(attrs={'placeholder': 'Password',
                                                                 'class': 'form-control',
                                                                 'data-toggle': 'password',
                                                                 'id': 'password',
                                                                 'name': 'password',
                                                                 }))
    
       
            